Soy de las que piensan que no hay que causar el pánico, mas bien hay que poder ofrecer la información necesaria para que la gente haga las cosas con tranquilidad.

Por supuesto cada cual es libre de actualizar o no, en eso no entro, pero antes de decirle a nadie casi gritando ¡No actualices! deberían calmarse un poco.

Analicemos las causas por las que hay problemas con las actualizaciones a WordPress 5.0

LA PRIMERA Y MÁS IMPORTANTE

Los desarrolladores han necesitado su tiempo para adaptarse al nuevo Gutenberg y eso se ha visto reflejado en las últimas actualizaciones.

Así que tu primer problema puede ser causado por no tenerlo todo actualizado.

He visto un vídeo en YouTube que me ha sacado de quicio, porque uno de los que gritaba ¡No actualices! tenía pendientes 17 actualizaciones entre plugins y temas.

Así pues si instalas WordPress 5.0 sin haber actualizado todos tus plugins y temas ¿Esperas que por un milagro no te pete?

Así que lo primero es actualizarlo absolutamente todo antes de actualizar WordPress.

Cuidado los que tengáis la plantilla Bridge, ya que los cambios se aplican a lo nuevo y no a lo antiguo si no tenéis actualizada la plantilla antes de instalar el nuevo WordPress.

No menospreciéis la importancia de las actualizaciones.

LA SEGUNDA, COMPRENDER LOS CAMBIOS

Nunca actualizaría una web sin antes haberlo hecho en la mía o en una de pruebas y eso no es pánico, es prudencia.

Lo que WordPress ha cambiado básicamente y que puede afectar al usuario es el Editor, por suerte y en contra de lo que se cree, hasta 2020 tenemos tiempo de adaptarnos a él.

La clave está en tener instalado el Editor Clásico que podemos encontrar en el repositorio y configurarlo de modo que podamos escoger cuál queremos usar a la hora de editar.

De este modo, podemos poco a poco irnos habituando al nuevo editor Gutenberg sin agobios.

¿Qué ocurre con las plantillas como Divi?

Es posible que te encuentres con que de repente no te aparece el editor de Divi en el Backend, sólo un botón para usar el editor visual. O de Elementor, o de cualquier otra plantilla que uses.

Eso también se arregla con el editor clásico.

Si lo tienes bien configurado, cuando vayas a editar una entrada o página tendrás la opción de escoger entre el editor clásico o el editor por bloques. Y si escoges el clásico, todo estará en su sitio.

Y AHORA A ACOSTUMBRARSE

No olvidemos que la opción del Editor clásico no estará disponible eternamente.

Así que la mejor manera de acostumbrarse es usando el editor por bloques para los posts.

Realmente no es tan complicado de usar, aunque depende de la soltura que tengas usando editores visuales.

Pero antes de gastar dinero en un curso, busca en YouTube. Hay mucha generosidad con tutoriales gratuitos que te pueden ayudar a acostumbrarte.

De hecho la mejor escuela es la práctica, esta entrada está hecha con el nuevo editor.

TU ESCOGES, PERO NADA DE PÁNICO

Evidentemente no te estoy diciendo que actualices o no lo hagas, sólo trato de quitarte el pánico que están esparciendo algunos por ahí diciendo cosas como que te vas a encontrar páginas en blanco. ¡Qué barbaridad!

Yo he actualizado todas mis webs siguiendo los pasos que te aconsejo y no he tenido ningún problema.

Piensa que los desarrolladores que viven de sus plugins y temas no pueden arriesgarse a que todas las webs de sus clientes tengan problemas. Sería un caos.

Actualizar antes plugins y temas es la clave.

Pero tú eliges. Eso sí, haz siempre primero una copia de seguridad, sólo por si acaso.